import Foundation
import App

abbrev = 'ZaCahri_CL'
iconName = 'ZaCahri_CL'
longName = 'ZaCahri Mantid CL'
shipFile = 'ZaCahri_CL' 
menuGroup = 'Other Ships'
playerMenuGroup = 'Other Ships'
species = App.SPECIES_GALAXY

Foundation.ShipDef.ZaCahri_CL = Foundation.ShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })

Foundation.ShipDef.ZaCahri_CL.desc = "Za'Cahri Mantid class Light Cruiser\n\nBlighted by heavy losses during the continuous war with the Daetharians, the Za'Cahri began to feel the need for a more cost effective warship than the popular Mantis class Cruiser and more versatile than the Ilicid class Destroyer, and so the Mantid class Light Cruiser was developed.  Unfortunately, the savings from blending the designs did not match her relatively poor performance in battle and production was halted soon after inception, and further embarrassing losses.  The Mantid class Light Cruiser does still operate within Za'Cahri space, albeit in small numbers\n\nThe Za'Cahri Stronghold are a militant insectoid race with origins outside the Milky Way - most likely in the Greater Magellanic Cloud.  It is unknown exactly when or why they came to our galaxy, but data seems to indicate the Za'Cahri probably maintain numerous wormholes near the galactic core which they used to escape to our galaxy during a time of great conflict.  It is assumed by those who have encountered the Za'Cahri that they had at one time been embroiled in major war, as the Stronghold fleet consists of large numbers of vessels and numerous variants.  Fortunately for neighbouring powers, this huge fleet was spread thin across Za'Cahri territory and never managed to consolidate itself for domination of any major races until around Y164, but by that time they had became engulfed in a bloody war with the Daetharians.."

if menuGroup:           Foundation.ShipDef.ZaCahri_CL.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.ZaCahri_CL.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

