import App
pWeaponLock = {}

def Create(pTorp):
	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(253.0 / 255.0, 128.0 / 255.0, 0.0 / 255.0, 1.000000)	
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(255.0 / 255.0, 255.0 / 255.0, 0.0 / 139.0, 1.000000)	


	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/PhotonX.tga",
					kCoreColor, 
					0.5,
					6.0,	 
					"data/Textures/Tactical/TorpedoGlow.tga", 
					kGlowColor,
					1.0,	
					0.2,	 
					0.3,	
					"data/Textures/Tactical/TorpedoFlares.tga",
					kCoreColor,										
					15,		
					0.1,		
					0.5)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.15)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.PHOTON)

	return(0)

def GetLaunchSpeed():
	return(25)

def GetLaunchSound():
	return("ZaCahriTorpedo")

def GetPowerCost():
	return(10.0)

def GetName():
	return("ZaCahri Torpedo")

def GetDamage():
	return 650

def GetGuidanceLifetime():
	return 10.0

def GetMaxAngularAccel():
	return 0.15


